data {
    int N;
    real X[N];
    real Y[N];
}
parameters {
    real a;
    real b;
    real<lower = 0> sgm;
}
model {
    a ~ normal(0, 100);
    b ~ normal(0, 100);
    sgm ~ exponential(0.001);
    for (i in 1:N)
        Y[i] ~ normal(a + b*X[i], sgm);
}       
